Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_context_nemo.xml
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_context_nemo.xml	(revision 9896)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_context_nemo.xml	(revision 9930)
@@ -43,90 +43,5 @@
     <domain_definition src="./domain_def_nemo.xml"/>
   
-    <grid_definition>    
-
-        <!--  -->
-       <grid id="grid_T_2D" >
-         <domain id="grid_T" />
-       </grid>
-        <!--  -->
-       <grid id="grid_T_3D_ncatice" >
-         <domain id="grid_T" />
-         <axis id="ncatice" />
-       </grid>
-        <!--  -->
-       <grid id="grid_T_3D" >
-         <domain id="grid_T" />
-         <axis id="deptht" />
-       </grid>
-        <!--  -->
-       <grid id="grid_U_2D" >
-         <domain id="grid_U" />
-       </grid>
-        <!--  -->
-       <grid id="grid_U_3D" >
-         <domain id="grid_U" />
-         <axis id="depthu" />
-       </grid>
-        <!--  -->
-       <grid id="grid_V_2D" >
-         <domain id="grid_V" />
-       </grid>
-        <!--  -->
-       <grid id="grid_V_3D" >
-         <domain id="grid_V" />
-         <axis id="depthv" />
-       </grid>
-        <!--  -->
-       <grid id="grid_W_2D" >
-         <domain id="grid_W" />
-       </grid>
-        <!--  -->
-       <grid id="grid_W_3D" >
-         <domain id="grid_W" />
-         <axis id="depthw" />
-       </grid>
-        <!--  -->
-       <grid id="grid_1point" >
-         <domain domain_ref="1point"/>
-       </grid>
-        <!--  -->
-       <grid id="grid_T_nfloat" >
-         <domain id="grid_T" />
-         <axis id="nfloat" />
-       </grid>
-        <!--  -->
-       <grid id="grid_EqT" >
-         <domain domain_ref="EqT" />
-       </grid>
-        <!--  -->
-       <grid id="grid_znl_T_2D">
-         <domain id="gznl" />
-       </grid>
-        <!--  -->
-       <grid id="grid_znl_T_3D">
-         <domain id="gznl" />
-         <axis id="deptht" />
-       </grid>
-        <!--  -->
-       <grid id="grid_znl_W_3D">
-         <domain id="gznl" />
-         <axis id="depthw" />
-       </grid>
-
-      <grid id="grid_ptr_T_2D">
-       <domain id="ptr" />
-      </grid>
-
-      <grid id="grid_ptr_T_3D">
-       <domain id="ptr" />
-         <axis id="deptht" />
-       </grid>
-
-      <grid id="grid_ptr_W_3D">
-       <domain id="ptr" />
-         <axis id="depthw" />
-      </grid>
-
-    </grid_definition>   
+    <grid_definition src="./grid_def_nemo.xml"/>
 
 </context>
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_context_nemo.xml
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_context_nemo.xml	(revision 9896)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_context_nemo.xml	(revision 9930)
@@ -43,90 +43,5 @@
     <domain_definition src="./domain_def_nemo.xml"/>
   
-    <grid_definition>    
-
-        <!--  -->
-       <grid id="grid_T_2D" >
-         <domain id="grid_T" />
-       </grid>
-        <!--  -->
-       <grid id="grid_T_3D_ncatice" >
-         <domain id="grid_T" />
-         <axis id="ncatice" />
-       </grid>
-        <!--  -->
-       <grid id="grid_T_3D" >
-         <domain id="grid_T" />
-         <axis id="deptht" />
-       </grid>
-        <!--  -->
-       <grid id="grid_U_2D" >
-         <domain id="grid_U" />
-       </grid>
-        <!--  -->
-       <grid id="grid_U_3D" >
-         <domain id="grid_U" />
-         <axis id="depthu" />
-       </grid>
-        <!--  -->
-       <grid id="grid_V_2D" >
-         <domain id="grid_V" />
-       </grid>
-        <!--  -->
-       <grid id="grid_V_3D" >
-         <domain id="grid_V" />
-         <axis id="depthv" />
-       </grid>
-        <!--  -->
-       <grid id="grid_W_2D" >
-         <domain id="grid_W" />
-       </grid>
-        <!--  -->
-       <grid id="grid_W_3D" >
-         <domain id="grid_W" />
-         <axis id="depthw" />
-       </grid>
-        <!--  -->
-       <grid id="grid_1point" >
-         <domain domain_ref="1point"/>
-       </grid>
-        <!--  -->
-       <grid id="grid_T_nfloat" >
-         <domain id="grid_T" />
-         <axis id="nfloat" />
-       </grid>
-        <!--  -->
-       <grid id="grid_EqT" >
-         <domain domain_ref="EqT" />
-       </grid>
-        <!--  -->
-       <grid id="grid_znl_T_2D">
-         <domain id="gznl" />
-       </grid>
-        <!--  -->
-       <grid id="grid_znl_T_3D">
-         <domain id="gznl" />
-         <axis id="deptht" />
-       </grid>
-        <!--  -->
-       <grid id="grid_znl_W_3D">
-         <domain id="gznl" />
-         <axis id="depthw" />
-       </grid>
-
-      <grid id="grid_ptr_T_2D">
-       <domain id="ptr" />
-      </grid>
-
-      <grid id="grid_ptr_T_3D">
-       <domain id="ptr" />
-         <axis id="deptht" />
-       </grid>
-
-      <grid id="grid_ptr_W_3D">
-       <domain id="ptr" />
-         <axis id="depthw" />
-      </grid>
-
-    </grid_definition>   
+    <grid_definition src="./grid_def_nemo.xml"/>
 
 </context>
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_context_nemo.xml
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_context_nemo.xml	(revision 9896)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_context_nemo.xml	(revision 9930)
@@ -43,90 +43,5 @@
     <domain_definition src="./domain_def_nemo.xml"/>
   
-    <grid_definition>    
-
-        <!--  -->
-       <grid id="grid_T_2D" >
-         <domain id="grid_T" />
-       </grid>
-        <!--  -->
-       <grid id="grid_T_3D_ncatice" >
-         <domain id="grid_T" />
-         <axis id="ncatice" />
-       </grid>
-        <!--  -->
-       <grid id="grid_T_3D" >
-         <domain id="grid_T" />
-         <axis id="deptht" />
-       </grid>
-        <!--  -->
-       <grid id="grid_U_2D" >
-         <domain id="grid_U" />
-       </grid>
-        <!--  -->
-       <grid id="grid_U_3D" >
-         <domain id="grid_U" />
-         <axis id="depthu" />
-       </grid>
-        <!--  -->
-       <grid id="grid_V_2D" >
-         <domain id="grid_V" />
-       </grid>
-        <!--  -->
-       <grid id="grid_V_3D" >
-         <domain id="grid_V" />
-         <axis id="depthv" />
-       </grid>
-        <!--  -->
-       <grid id="grid_W_2D" >
-         <domain id="grid_W" />
-       </grid>
-        <!--  -->
-       <grid id="grid_W_3D" >
-         <domain id="grid_W" />
-         <axis id="depthw" />
-       </grid>
-        <!--  -->
-       <grid id="grid_1point" >
-         <domain domain_ref="1point"/>
-       </grid>
-        <!--  -->
-       <grid id="grid_T_nfloat" >
-         <domain id="grid_T" />
-         <axis id="nfloat" />
-       </grid>
-        <!--  -->
-       <grid id="grid_EqT" >
-         <domain domain_ref="EqT" />
-       </grid>
-        <!--  -->
-       <grid id="grid_znl_T_2D">
-         <domain id="gznl" />
-       </grid>
-        <!--  -->
-       <grid id="grid_znl_T_3D">
-         <domain id="gznl" />
-         <axis id="deptht" />
-       </grid>
-        <!--  -->
-       <grid id="grid_znl_W_3D">
-         <domain id="gznl" />
-         <axis id="depthw" />
-       </grid>
-
-      <grid id="grid_ptr_T_2D">
-       <domain id="ptr" />
-      </grid>
-
-      <grid id="grid_ptr_T_3D">
-       <domain id="ptr" />
-         <axis id="deptht" />
-       </grid>
-
-      <grid id="grid_ptr_W_3D">
-       <domain id="ptr" />
-         <axis id="depthw" />
-      </grid>
-
-    </grid_definition>   
+    <grid_definition src="./grid_def_nemo.xml"/>
 
 </context>
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/context_nemo.xml
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/context_nemo.xml	(revision 9896)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/context_nemo.xml	(revision 9930)
@@ -43,90 +43,5 @@
     <domain_definition src="./domain_def_nemo.xml"/>
   
-    <grid_definition>    
-
-        <!--  -->
-       <grid id="grid_T_2D" >
-         <domain id="grid_T" />
-       </grid>
-        <!--  -->
-       <grid id="grid_T_3D_ncatice" >
-         <domain id="grid_T" />
-         <axis id="ncatice" />
-       </grid>
-        <!--  -->
-       <grid id="grid_T_3D" >
-         <domain id="grid_T" />
-         <axis id="deptht" />
-       </grid>
-        <!--  -->
-       <grid id="grid_U_2D" >
-         <domain id="grid_U" />
-       </grid>
-        <!--  -->
-       <grid id="grid_U_3D" >
-         <domain id="grid_U" />
-         <axis id="depthu" />
-       </grid>
-        <!--  -->
-       <grid id="grid_V_2D" >
-         <domain id="grid_V" />
-       </grid>
-        <!--  -->
-       <grid id="grid_V_3D" >
-         <domain id="grid_V" />
-         <axis id="depthv" />
-       </grid>
-        <!--  -->
-       <grid id="grid_W_2D" >
-         <domain id="grid_W" />
-       </grid>
-        <!--  -->
-       <grid id="grid_W_3D" >
-         <domain id="grid_W" />
-         <axis id="depthw" />
-       </grid>
-        <!--  -->
-       <grid id="grid_1point" >
-         <domain domain_ref="1point"/>
-       </grid>
-        <!--  -->
-       <grid id="grid_T_nfloat" >
-         <domain id="grid_T" />
-         <axis id="nfloat" />
-       </grid>
-        <!--  -->
-       <grid id="grid_EqT" >
-         <domain domain_ref="EqT" />
-       </grid>
-        <!--  -->
-       <grid id="grid_znl_T_2D">
-         <domain id="gznl" />
-       </grid>
-        <!--  -->
-       <grid id="grid_znl_T_3D">
-         <domain id="gznl" />
-         <axis id="deptht" />
-       </grid>
-        <!--  -->
-       <grid id="grid_znl_W_3D">
-         <domain id="gznl" />
-         <axis id="depthw" />
-       </grid>
-
-      <grid id="grid_ptr_T_2D">
-       <domain id="ptr" />
-      </grid>
-
-      <grid id="grid_ptr_T_3D">
-       <domain id="ptr" />
-         <axis id="deptht" />
-       </grid>
-
-      <grid id="grid_ptr_W_3D">
-       <domain id="ptr" />
-         <axis id="depthw" />
-      </grid>
-
-    </grid_definition>   
+    <grid_definition src="./grid_def_nemo.xml"/>
 
 </context>
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/grid_def_nemo.xml
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/grid_def_nemo.xml	(revision 9930)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/grid_def_nemo.xml	(revision 9930)
@@ -0,0 +1,1 @@
+link ../../SHARED/grid_def_nemo.xml